Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04173 Original Reference Minor Have not tried Jan 6, 2011, 17:41 Jul 28, 2012, 16:48
Tester Stefan Lindberg View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS
Status [?] Acknowledged Driver taito_f3.cpp
Version 0.140 Fixed in Version Build Normal
Fixed in Git Commit Github Pull Request #
Summary 04173: arabianm, rayforcej, ridingf, dariusgj: Sound recording for reference
Description Here are some PCB recordings from some Taito F3 games, theay are recorded using a S/PDIF modification (using DIT4096) so have that in mind it may or may not be used as "original reference"?

All is recorded in 44.1 khz sample rate and then i manually changed the speed to proper sample rate (29.762khz) using a sound editor called Audacity (the files are still saved in 44.1 khz though, but at correct speed of course)

Most recordings are from Riding Fight as that is the game i right now have the S/PDIF mod attached to.
Riding Fight (in MAME) do have sound in the sound test menu, it starts to work after a while but not in the game.

For Riding Fight so does the 5505 output on three serial data pins (pin7,8,9).
Pin7 = soundeffects (except sound test 0C)
Pin8 = Guitar instrument
Pin9 = the rest of the music instruments

Note about soundeffect "0c"... it plays on both pin8 and pin9 from 5505, maybe thats create the reverb effect and not the DSP?

The serial output data from 5505 does not go to the 5510 directly they passes thru the "TC0660FCM" wich seems to change data format on the serial sound data.
I setup the DIT4096 to use "24-bit left justified" as input format when i recorded from the 5505 pins7-9 but after the TCM0660FCM i had to set it up to "I2S" as input format format.


The 5510 serial data output (pin 12) has all 3 inputs mixed and has DSP effects added, i could use the same S/PDIF config as when i recorded the 5505 output. The data from "pin 12" then goes to the TCM0660FCM and is converted to "I2S" signal and then goes straight to the DAC.

Here are some recordings.

Pin7 5505 (sound effect "0a"):
http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_0a_5505_pin7.flac

Pin8 5505 (soundtest "03"):
http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_03_5505_pin8.flac

Pin9 5505 (soundtest "03"):
http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_03_5505_pin9.flac

And here are both pin8 and pin9 mixed by me using an sound editor:
http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_03_5505_pin8-9_mixed.flac

I could not separate the sound in MAME so here is soundtest 03 for comparison with the mixed recording i posted above:
http://arcade.ym2149.com/sound/ridingfight_mame_soundtest_03.flac

And a PCB recording how it should sound after the DSP mixing and effects:
http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_03_(stage5).flac

------------

Also i lifted the input pins of 5510 so i could record each sound sperate with DSP effect added.
here is the 5505 pin8 with added effect (distortion/AMP simulator):
http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_03_5510_only_5505pin8.flac

And 5505 pin9 with added effect (Reverb):
http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_03_5510_only_5505pin9.flac

--------------------

Here is sound test of "0c" (the sound effect wich play in both pin8 and pin9) recorded after DSP mixing: http://arcade.ym2149.com/sound/ridingfight_pcb_soundtest_0c_5510_pin12.flac

MAME recording of sound test "0c":
http://arcade.ym2149.com/sound/ridingfight_mame_soundtest_0c.flac

Some other non-Riding Fight recordings.
Arabian Magic PCB sound test "05":
http://arcade.ym2149.com/sound/arabianmagic_pcb_soundtest_05.flac

Arabian Magic MAME soundtest "05":
http://arcade.ym2149.com/sound/arabianmagic_mame_soundtest_05.flac

Rayforce PCB "gameplay" recording:
http://arcade.ym2149.com/sound/rayforce_pcb_gameplay_(correct_stereo).flac

----------------------

Darius Gaiden don't use DSP effects much so some music is practically identical in MAME... wich is a good thing regarding emulation i guess ;-)

It do have a sound that seems to be totally created by the DSP (5510) and that is a "swooosch" sound that can be heard very well at about 50 seconds in the recording i post here, and is not heard at all in MAME.

Darius Gaiden PCB sound test 45:
http://arcade.ym2149.com/sound/darius_gaiden_pcb_st45.flac

Darius Gaiden MAME sound test 45:
http://arcade.ym2149.com/sound/darius_gaiden_mame_st45.flac

----------------
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems arabianm, rayforcej, ridingf, dariusgj
Attached Files
flac file icon ridingfight_pcb_soundtest_0a_5505_pin7.flac (350,436 bytes) Jan 10, 2011, 14:56 Uploaded by Fujix
Pin7 5505 (sound effect "0a"):
flac file icon ridingfight_pcb_soundtest_03_5505_pin8.flac (6,512,195 bytes) Jan 10, 2011, 14:57 Uploaded by Fujix
Pin8 5505 (soundtest "03"):
jpg file icon rayforce_manual_7.jpg (322,898 bytes) Jul 28, 2012, 16:45 Uploaded by Stefan Lindberg
Rayforce pinout for stereo sound
Stefan Lindberg
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.07021
Fujix
Administrator
Jan 6, 2011, 19:45
Updated the system to accept a flac extension file.
Now you can upload flac files if necessary.
User avatar
No.07034
Stefan Lindberg
Senior Tester
Jan 8, 2011, 12:50
Did some info update and also added two more recordings (the pin 8 - 9 with added effects).

Fujix... is it possible to add notes to each upload? This post would get confusing if notes can't be added to each recording :-)
User avatar
No.07042
Fujix
Administrator
Jan 8, 2011, 17:26
Nope, we have to individualize each upload by its file name..

I checked the database definition of this system, I found it has a text description field. I'm thinking of adding a support for file note.
User avatar
No.07048
Stefan Lindberg
Senior Tester
Jan 9, 2011, 12:24
Added "Darius Gaiden" recordings, it's the only F3 cart i have so i am out of F3 games to test now :-)
User avatar
No.07054
Fujix
Administrator
Jan 10, 2011, 15:06
edited on: Jan 10, 2011, 15:07
I added a support for file note along with a uploader name :)
The max text length is 250 characters.
User avatar
No.08832
Stefan Lindberg
Senior Tester
Jul 28, 2012, 16:48
It turnes out my old Rayforce recording has left and right sound channels reversed, i uploaded the pinout for Rayforce stereo pinout. Not all F3 games have the same left/right config... or at least no Rayforce.
So MAME should also swap left/right to be correct... it is wrong ATM.